boost, boost_unit_test_framework

Mattias Brändström thebrasse@brasse.org
Fri Oct 14 10:10:00 GMT 2005


Václav Haisman wrote:
>>
>>Have the test libraries worked in any previous version of boost for
>>Cygwin? If so, is there any way that I can install that version instead?
> 
> I don't know. The current Boost package is the only Boost Cygwin package
> so far. You could try to compile some older Boost than 1.33.0 from sources.
> 

Actually, I tried to compile the test libraries of boost 1.33 myself 
like this:

bjam -sTOOLS=gcc --with-test stage

And that command produced the test libraries for me. The only difference 
from your libraries was that their extension was .lib instead of .a. How 
did you manage to get .a libraries? Is there any difference between .a 
and .lib in Cygwin?

When I changed the extension of boost_unit_test_framework to .a and 
compiled and linked my test with -lboost_unit_test_framework I got a 
working binary.

However, I would like to be able to build my project with a vanilla 
installation of Cygwin. This would make it easier for me to share my 
project with other people since they would only have to install the 
correct versions (preferable the latest) of the Cygwin packages to be 
able to build it.

In what way is the test libraries broken under Cygwin?

:.:: mattias

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/



More information about the Cygwin mailing list